## gate.sgml
Class TestSgml

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.sgml.TestSgml

All Implemented Interfaces:
  junit.framework.Test

public class TestSgml
extends junit.framework.TestCase

Test class for SGML facilities

Constructor Summary
`TestSgml(String name)` Construction

Method Summary
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testSgmlLoading()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSgml

    public TestSgml(String name)

  Construction

Method Detail

### setUp

    public void setUp()

  Fixture set up

### testSgmlLoading

    public void testSgmlLoading()
                         throws Exception

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner